models/Catalogo.php
<?php

namespace app\models;

use Yii;
/**
 * This is the model class for table "estudiantes".
 *
 * @property int $id
 * @property string $nombre
 * @property string $apellidos
 * @property int $edad
 */
class Catalogo extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'flores';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['nombre', 'descripcion'], 'required',"mensaje"=>"Es obligatorio"],
            [['nombre', 'descripcion'], 'string', 'max' => 20],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'apellidos' => 'Descripcion',
        ];
    }
}

models/User.php
<?php

namespace app\models;

class User extends \yii\base\BaseObject implements \yii\web\IdentityInterface
{
    public $id;
    public $username;
    public $password;
    public $authKey;
    public $accessToken;

    private static $users = [
        '100' => [
            'id' => '100',
            'username' => 'admin',
            'password' => 'admin',
            'authKey' => 'test100key',
            'accessToken' => '100-token',
        ],
        '101' => [
            'id' => '101',
            'username' => 'demo',
            'password' => 'demo',
            'authKey' => 'test101key',
            'accessToken' => '101-token',
        ],
    ];


    /**
     * {@inheritdoc}
     */
    public static function findIdentity($id)
    {
        return isset(self::$users[$id]) ? new static(self::$users[$id]) : null;
    }

    /**
     * {@inheritdoc}
     */
    public static function findIdentityByAccessToken($token, $type = null)
    {
        foreach (self::$users as $user) {
            if ($user['accessToken'] === $token) {
                return new static($user);
            }
        }

        return null;
    }

    /**
     * Finds user by username
     *
     * @param string $username
     * @return static|null
     */
    public static function findByUsername($username)
    {
        foreach (self::$users as $user) {
            if (strcasecmp($user['username'], $username) === 0) {
                return new static($user);
            }
        }

        return null;
    }

    /**
     * {@inheritdoc}
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * {@inheritdoc}
     */
    public function getAuthKey()
    {
        return $this->authKey;
    }

    /**
     * {@inheritdoc}
     */
    public function validateAuthKey($authKey)
    {
        return $this->authKey === $authKey;
    }

    /**
     * Validates password
     *
     * @param string $password password to validate
     * @return bool if password provided is valid for current user
     */
    public function validatePassword($password)
    {
        return $this->password === $password;
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use yii\data\ActiveDataProvider;
use app\models\Catalogo;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
    
    public function actionInicio() {
        return $this->render('index');
    }
    
     public function actionCatalogo() {
        /*$listado = \app\models\Catalogo::find()->all();*/
         
         $listado=new ActiveDataProvider([
                 'query'=> Catalogo::find(),
             ]);
        return $this->render('catalogo', [
            "datos"=>$listado,
        ]);
    }
    
    public function actionMas($id){
        $flor= Catalogo::find($id)->one();
        
        return $this->render("mas",[
            "dato"=>$flor,
        ]);
    }
 
    
    public function actionRecomendar(){
                
        return $this->render('recomendar');
    }
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'Catalogo', 'url' => ['/site/catalogo']],
            ['label' => 'Recomendar', 'url' => ['/site/recomendar']],
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left"><i class="glyphicon glyphicon-home"> Pasaje de Peña 1</i></p>

        <p class="pull-right"><i class="fa fa-phone"></i> 942-942-9</p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/catalogo.php
<?php
use yii\grid\GridView;
use yii\helpers\Html;

//var_dump($datos);

echo GridView::widget([
    'dataProvider'=>$datos,
    'columns'=>[
        'nombre',
         [
             'attribute'=>'descripcion',
             'label'=>'Descr.',
             'content'=>function($data){
                return substr($data->descripcion,0,10) . "...";
             }
         ],
        [
            'class' => 'yii\grid\ActionColumn',
            'template' => '{mas}',
            'buttons' => [
                'mas' => function ($url,$model,$key) {
                    return Html::a('Mas informacion', $url);
                },
	        ],
        ],
    ]
    
]);

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/* @var $this yii\web\View */

$this->title = 'Flores';
?>
<div class="site-index">

    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi, nam, cupiditate, recusandae dignissimos quia praesentium modi dolore illum esse hic quasi odit officia magni impedit debitis! Molestias atque laboriosam dicta.
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi, nam, cupiditate, recusandae dignissimos quia praesentium modi dolore illum esse hic quasi odit officia magni impedit debitis! Molestias atque laboriosam dicta.
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi, nam, cupiditate, recusandae dignissimos quia praesentium modi dolore illum esse hic quasi odit officia magni impedit debitis! Molestias atque laboriosam dicta.
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi, nam, cupiditate, recusandae dignissimos quia praesentium modi dolore illum esse hic quasi odit officia magni impedit debitis! Molestias atque laboriosam dicta.<br>
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi, nam, cupiditate, recusandae dignissimos quia praesentium modi dolore illum esse hic quasi odit officia magni impedit debitis! Molestias atque laboriosam dicta.
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi, nam, cupiditate, recusandae dignissimos quia praesentium modi dolore illum esse hic quasi odit officia magni impedit debitis! Molestias atque laboriosam dicta.
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi, nam, cupiditate, recusandae dignissimos quia praesentium modi dolore illum esse hic quasi odit officia magni impedit debitis! Molestias atque laboriosam dicta.
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi, nam, cupiditate, recusandae dignissimos quia praesentium modi dolore illum esse hic quasi odit officia magni impedit debitis! Molestias atque laboriosam dicta.
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi, nam, cupiditate, recusandae dignissimos quia praesentium modi dolore illum esse hic quasi odit officia magni impedit debitis! Molestias atque laboriosam dicta.
    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi, nam, cupiditate, recusandae dignissimos quia praesentium modi dolore illum esse hic quasi odit officia magni impedit debitis! Molestias atque laboriosam dicta.
    
    
    

</div>

views/site/mas.php
<?php

var_dump($dato);

views/site/recomendar.php
<?php
use yii\helpers\Html;

echo html::img("@web/imgs/flor.png", ["class"=>"fotoFlor"]);